Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class DateOrDateTimePeriodChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.DateOrDateTimePeriodChoice

public class DateOrDateTimePeriodChoice extends Object

Java class for DateOrDateTimePeriodChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateOrDateTimePeriodChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DatePeriodDetails"/>
               <element name="DtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DateTimePeriodDetails"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DatePeriodDetails`
`dt`
`protected DateTimePeriodDetails`
`dtTm`

## Constructor Summary

Constructors
Constructor
Description
`DateOrDateTimePeriodChoice()`

## Method Summary

Modifier and Type
Method
Description
`DatePeriodDetails`
`getDt()`
Gets the value of the dt property.
`DateTimePeriodDetails`
`getDtTm()`
Gets the value of the dtTm property.
`void`
`setDt(DatePeriodDetails value)`
Sets the value of the dt property.
`void`
`setDtTm(DateTimePeriodDetails value)`
Sets the value of the dtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dt

protected DatePeriodDetails dt

### dtTm

protected DateTimePeriodDetails dtTm

## Constructor Details

### DateOrDateTimePeriodChoice

public DateOrDateTimePeriodChoice()

## Method Details

### getDt

public DatePeriodDetails getDt()
Gets the value of the dt property.

Returns:
  possible object is `DatePeriodDetails`

### setDt

public void setDt(DatePeriodDetails value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DatePeriodDetails`

### getDtTm

public DateTimePeriodDetails getDtTm()
Gets the value of the dtTm property.

Returns:
  possible object is `DateTimePeriodDetails`

### setDtTm

public void setDtTm(DateTimePeriodDetails value)
Sets the value of the dtTm property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`